Bug 7299 - DNS: generated grants policy file should allow some static entries
DNS: generated grants policy file should allow some static entries
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Other
unspecified
Other Linux
: P3 enhancement
: ---
Assigned To: Andrew Tridgell
samba4-qa@samba.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-26 06:20 UTC by Matthieu Patou
Modified: 2010-05-15 02:21 UTC (History)
0 users

See Also:


Attachments
Patch for fixing this bug (3.40 KB, patch)
2010-03-28 12:35 UTC, Matthieu Patou
no flags Details
Patch for fixing this bug (2.28 KB, patch)
2010-04-26 05:57 UTC, Matthieu Patou
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthieu Patou 2010-03-26 06:20:34 UTC
There is a need to have the capacity to define some static grants to be added in the named.conf.update file.

This is due to the fact that bind9 only allow 1 update policy per zone (although the update policy can have more than 1 entry).

We need to have statics grants for instance to allow DHCP server to also register names or for W2K8/W2K8r2 server to register DNS entries for KMS (which are like _VLMCS._TCP.fqdn)
Comment 1 Matthieu Patou 2010-03-28 12:35:49 UTC
Created attachment 5555 [details]
Patch for fixing this bug
Comment 2 Matthias Dieter Wallnöfer 2010-03-28 13:09:14 UTC
Andrew, could you comment on and maybe push the patch?
Comment 3 Andrew Tridgell 2010-04-19 02:27:18 UTC
Hi Matthieu,

Would you mind re-doing this with file_load() from lib/util/util_file.c?

Thanks!

Cheers, Tridge

Comment 4 Matthieu Patou 2010-04-26 05:57:02 UTC
Created attachment 5658 [details]
Patch for fixing this bug
Comment 5 Matthieu Patou 2010-05-14 17:23:10 UTC
Should be fixed in c88b83b7c1abc53866cda4e67c5183e11e31a910
Comment 6 Matthias Dieter Wallnöfer 2010-05-15 02:21:31 UTC
Thanks for your comment, ekacnet! Marking as "FIXED".